Bug 1732860 - restore the odds and ends of test-cmd
Summary: restore the odds and ends of test-cmd
Keywords:
Status: CLOSED DEFERRED
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: oc
Version: 4.2.0
Hardware: Unspecified
OS: Unspecified
high
low
Target Milestone: ---
: 4.3.0
Assignee: Sally
QA Contact: zhou ying
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-24 14:27 UTC by David Eads
Modified: 2020-05-04 14:27 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-05-04 14:27:32 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description David Eads 2019-07-24 14:27:35 UTC
https://github.com/openshift/origin/pull/23453 restored most of test-cmd.  There is a blacklist that needs to be checked here: https://github.com/openshift/origin/blob/master/test/extended/cmd/cmd.go#L27-L33 

And then separate commits to revert here https://github.com/openshift/origin/pull/23453/commits .  Most are related to login/authentication changes.

Comment 5 Maciej Szulik 2019-11-07 11:18:52 UTC
This is still a problem there are still 5 tests disable in https://github.com/openshift/origin/blob/master/test/extended/cmd/cmd.go#L27-L33
that needs to go back. Sally mind looking into this one? I'll lower the severity but it's something worthy fixing sooner than later.

Comment 6 Maciej Szulik 2020-05-04 14:27:32 UTC
We'll be slowly going in the direction of moving those tests into e2e, thus closing.


Note You need to log in before you can comment on or make changes to this bug.